<?php

namespace Models/ClientGift;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class ClientGift extends Eloquent {

	protected $table = 'client_gifts';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function clientFrom()
	{
		return $this->belongsTo('Client', 'from_client_id');
	}

	public function clientTo()
	{
		return $this->belongsTo('Client', 'to_client_id');
	}

	public function order()
	{
		return $this->belongsTo('Order', 'order_id');
	}

}