<?php

namespace Models/Coupon;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Coupon extends Eloquent {

	protected $table = 'coupons';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function vendor()
	{
		return $this->belongsTo('Vendor', 'vendor_id');
	}

	public function branch()
	{
		return $this->belongsTo('Branch', 'branch_id');
	}

	public function service()
	{
		return $this->belongsTo('Service', 'service_id');
	}

	public function serviceCategory()
	{
		return $this->belongsTo('ServiceCategory', 'service_category_id');
	}

}