<?php

namespace Models/Vendor;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Vendor extends Eloquent {

	protected $table = 'vendors';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function country()
	{
		return $this->belongsTo('Country', 'country_id');
	}

	public function city()
	{
		return $this->belongsTo('City', 'city_id');
	}

	public function vendorType()
	{
		return $this->belongsTo('VendorType', 'vendor_type');
	}

}